[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#452279: type-handling: Invalid Provides: header on amd64

Package: type-handling
Version: 0.2.21
Severity: important

(I'm reporting this from an i386 host but the problem concerns amd64

Since dpkg-dev 1.14.8, on any amd64 system with type-handling installed,
dpkg-checkbuildeps is reporting a warning:
can't parse dependency x86_64-linux-gnu

This is generated while parsing /var/lib/dpkg/status, more precisely while
parsing the Provides: field of type-handling.

"x86_64-linux-gnu" is not a valid package name and is thus rejected by
the parser included in the Dpkg::Deps perl module. Please transform "_" in
"-" or simply remove the entry in the provides field.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages type-handling depends on:
ii  dpkg-dev                      1.14.9     package building tools for Debian

type-handling recommends no packages.

-- no debconf information

Reply to: